package jcg.zheng.demo;

import java.util.List;

public class SomeClass {

	private SomeInterface someInterface;

	private OtherService someService;

	public int doubleANumber(int num) {
		try {
			return someService.calculateByDoubleIt(num);
		} catch (Exception e) {
			throw new SomeException("External Service-calculateByDoubleIt failed " + e.getMessage());
		}
	}

	public void processData(String input) {
		List<String> rawList = someInterface.getSomeList(input);
		if (rawList != null) {
			for (String item : rawList) {
				someService.doSomething(item);
			}
		}

	}

	public boolean returnABoolean(String inputData) {
		try {
			return someService.returnABoolean(inputData);
		} catch (Exception e) {
			throw new SomeException("External Service-returnABoolean failed " + e.getMessage());
		}
	}

	public void voidFoo(String inputData) {
		try {
			if ("Interface".equalsIgnoreCase(inputData)) {
				someInterface.doSomething(inputData);
			}
			someService.doSomething(inputData);
		} catch (Exception e) {
			throw new SomeException("External Service-doSomething failed " + e.getMessage());
		}
	}
}
